<ng-container>
  <!--toolbar-->
  <mat-toolbar color="primary" class="example-header">
  <button mat-icon-button (click)="sidenav.toggle()">
  <mat-icon>menu</mat-icon>
  </button>
  <span>MyAngular</span>
  <div class="uk-width-expand"></div>
  <small>Admin</small>
  <button mat-button (click)="logout()">keluar</button>
  </mat-toolbar>
  <!--end toolbar-->
  
  <mat-sidenav-container class="example-container">
  
    <mat-sidenav #sidenav 
    mode="side" 
    [position]="'start'" 
    opened class="sidenav-left"
    [fixedInViewport]="true" 
    [fixedTopGap]="65"
    [fixedBottomGap]="0">

    <mat-nav-list>
      <div *ngFor="let item of menu">
    <div *ngIf="item.children !=undefined">
        <h3 matSubheader >{{item.group}}</h3>
        <mat-list-item *ngFor="let c of item.children" routerLink="/admin/product">
            <mat-icon matListIcon>{{c.icon}}</mat-icon>
            <h3 matLine>{{c.name}}</h3>
        </mat-list-item>
      </div>
      <mat-list-item *ngIf="item.children == undefined" routerLink="/admin/dashboard">
          <mat-icon matListIcon>{{item.icon}}</mat-icon>
          <h3 matLine>{{item.name}}</h3>
      </mat-list-item>       
      </div>
    </mat-nav-list>

   </mat-sidenav>
  <!--sidenav content-->
  <mat-sidenav-content style="padding: 20px; background-color: #ccc;">
  <!--halaman-halaman tampil disini-->
  
 
<router-outlet></router-outlet>
  
  
  
  </mat-sidenav-content>
  <!--end sidenav content-->
  </mat-sidenav-container>   
  </ng-container>
